%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          ironjacamar
Version:       1.3.4
Release:       %mkrel 1
Group:         Development/Java
Summary:       Java Connector Architecture 1.7 implementation
License:       LGPLv2+
URL:           http://www.ironjacamar.org/
Source0:       https://github.com/ironjacamar/ironjacamar/archive/%{name}-%{namedversion}.tar.gz

# Commented out trying to download Ivy from the Internet
Patch0:        ironjacamar-1.3.4.Final-Use-Fedora-provided-IVY.patch
Patch1:        0002-Adjust-IVY-paths.patch
Patch2:        ironjacamar-1.3.4-remove-ambiguous-reference-to-tracef.patch

BuildRequires: ant
BuildRequires: apache-ivy
BuildRequires: graphviz
BuildRequires: ivy-local
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(jdepend:jdepend)
BuildRequires: mvn(org.apache.ant:ant)
BuildRequires: mvn(org.jboss:jandex)
BuildRequires: mvn(org.jboss:jboss-transaction-spi)
BuildRequires: mvn(org.jboss.apiviz:apiviz)
BuildRequires: mvn(org.jboss.jdeparser:jdeparser)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss.logmanager:log4j-jboss-logmanager)
BuildRequires: mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires: mvn(org.jboss.threads:jboss-threads)
BuildRequires: mvn(org.jgroups:jgroups)
BuildRequires: mvn(org.picketbox:picketbox)

# Runtime dependecies
Requires:      java-headless
Requires:      javapackages-tools
Requires:      mvn(javax.validation:validation-api)
Requires:      mvn(org.jboss:jandex)
Requires:      mvn(org.jboss:jboss-transaction-spi)
Requires:      mvn(org.jboss.logging:jboss-logging)
Requires:      mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.0_spec)
Requires:      mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
Requires:      mvn(org.jboss.threads:jboss-threads)
Requires:      mvn(org.jboss.logmanager:log4j-jboss-logmanager)
Requires:      mvn(org.picketbox:picketbox)

BuildArch:     noarch

%description
The IronJacamar project implements the Java Connector Architecture 1.7
specification.

The Java Connector Architecture (JCA) defines a standard architecture for
connecting the Java EE platform to heterogeneous Enterprise Information
Systems (EIS). Examples of EISs include Enterprise Resource Planning (ERP),
mainframe transaction processing (TP), database and messaging systems.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qn %{name}-%{name}-%{namedversion}
# Cleanup
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

%patch0 -p1
%patch1 -p1
%patch2 -p1

# Fixing JDK7 ASCII issues
files='
api/src/main/java/javax/resource/spi/BootstrapContext.java
api/src/main/java/javax/resource/spi/work/SecurityContext.java
'

for f in ${files}; do
  native2ascii -encoding UTF8 ${f} ${f}
done

# Rename the license file
cp -r doc/licenses/lgpl-2.1.txt LICENSE.txt

mkdir lib

sed -i '/IronJacamar requires JDK7/d' build.xml
sed -i '/Nexus requires JDK7/d' build.xml
sed -i '/<deploy-file/d' build.xml
sed -i '/<install-file/d' build.xml

%build

ant -Divy.mode=local -Das jars-base clean docs nexus-base

# Fix malformed pom entries
%pom_change_dep org.jboss.spec.javax.transaction: :jboss-transaction-api_1.2_spec target/%{name}-core-api.xml
%pom_change_dep javax.validation: :validation-api target/%{name}-core-impl.xml
%pom_change_dep org.jboss.spec.javax.security.auth.message: :jboss-jaspi-api_1.0_spec target/%{name}-core-impl.xml
%pom_change_dep org.jboss.spec.javax.transaction: :jboss-transaction-api_1.2_spec target/%{name}-core-impl.xml
%pom_change_dep org.jboss.spec.javax.transaction: :jboss-transaction-api_1.2_spec target/%{name}-jdbc.xml
%pom_change_dep org.jboss.spec.javax.transaction: :jboss-transaction-api_1.2_spec target/%{name}-spec-api.xml

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}/%{name} \
         $RPM_BUILD_ROOT%{_mavenpomdir} \
         $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# common-impl-papaki validator-cli validator-maven validator-ant - not built in when nexus/brew target is selected
# deployers-fungal - no fungal package available
for m in common-api common-impl common-spi core-api core-impl deployers-common jdbc spec-api validator; do
# JAR
  install -pm 644 target/%{name}-${m}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-${m}.jar
# POM
  install -pm 644 target/%{name}-${m}.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-%{name}-${m}.pom
# DEPMAP
  %add_maven_depmap JPP.%{name}-%{name}-${m}.pom %{name}/%{name}-${m}.jar
done
# APIDOCS
cp -rp target/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE.txt




%changelog
* Sat Nov 05 2016 daviddavid <daviddavid> 1.3.4-1.mga6
+ Revision: 1065427
- Updated to 1.3.4.Final
- add missing build requires: ant

* Wed Mar 02 2016 neoclust <neoclust> 1.1.10-4.mga6
+ Revision: 982445
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.10-3.mga6
+ Revision: 976406
- First rebuild of the java stack
- sync package ironjacamar with fedora

* Tue Feb 09 2016 umeabot <umeabot> 1.1.3-3.mga6
+ Revision: 951374
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 1.1.3-2.mga5
+ Revision: 806521
- Clean rebuild
- Sync with Fedora 21 (update to 1.1.3)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 744276
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 dmorgan <dmorgan> 1.1.2-1.mga4
+ Revision: 563275
- New version
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.9-5.mga3
+ Revision: 354496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 1.0.9-4.mga3
+ Revision: 330595
- New version

  + gil <gil>
    - imported package ironjacamar

